local MedievalWall = ...

--------------------------------
--| Register Material Assets |--
--------------------------------
MedievalWall:registerAssetId("models/blank.png", "BLANK_TEXTURE")
MedievalWall:registerAssetId("models/fire.png", "FIRE_TEXTURE")
MedievalWall:registerAssetId("models/smoke.png", "SMOKE_TEXTURE")
MedievalWall:registerAssetId("models/spark.png", "SPARK_TEXTURE")
MedievalWall:registerAssetId("models/core.fbx/Materials/blank1", "BLANK_CORE_MATERIAL")

--------------------------
--| Register Materials |--
--------------------------
MedievalWall:register({
	DataType = "MATERIAL",
	Id = "FENCE_MATERIAL",
	HasAlphaTest = true,
	AlbedoTexture = "BLANK_TEXTURE"
})
MedievalWall:register({
	DataType = "MATERIAL",
	Id = "FIRE_MATERIAL",
	AlbedoTexture = "FIRE_TEXTURE"
})
MedievalWall:register({
	DataType = "MATERIAL",
	Id = "SMOKE_MATERIAL",
	AlbedoTexture = "SMOKE_TEXTURE"
})
MedievalWall:register({
	DataType = "MATERIAL",
	Id = "SPARK_MATERIAL",
	AlbedoTexture = "SPARK_TEXTURE"
})

--------------------------
--| Material Overrides |--
--------------------------
MedievalWall:override({
    Id = "BLANK_CORE_MATERIAL",
	HasAlphaTest = true
})